apt 3.1.11 commandline package manager

Public Member Functions | List of all members
pkgCache::DescIterator Class Reference
Inheritance diagram for pkgCache::DescIterator:

## Public Member Functions
Description * | OwnerPointer () const
DescIterator & | operator++ ()
DescIterator | operator++ (int)
int | CompareDesc (const DescIterator &B) const
const char * | LanguageCode () const
const char * | md5 () const
DescFileIterator | FileList () const
| DescIterator (pkgCache &Owner, Description *Trg=0)
Public Member Functions inherited from pkgCache::Iterator< Description, DescIterator >
bool | end () const
bool | operator== (const DescIterator &B) const
bool | operator!= (const DescIterator &B) const
Description * | operator-> ()
| operator Description * ()
| operator Description const * () const
Description & | operator* ()
pkgCache * | Cache () const
bool | IsGood () const
unsigned long | Index () const
map_pointer< Description > | MapPointer () const
void | ReMap (void const *const oldMap, void *const newMap)

## Additional Inherited Members
Public Types inherited from pkgCache::Iterator< Description, DescIterator >
using | iterator_category
using | value_type
using | difference_type
using | pointer
using | reference
Protected Attributes inherited from pkgCache::Iterator< Description, DescIterator >
Description * | S
pkgCache * | Owner

The documentation for this class was generated from the following file:

- apt-pkg/cacheiterators.h